[Palus Knight Class Transfer]:
In order to become a Bladedancer, a player must successfully complete three quests. The Trial of the Challenger may be undertaken by a player of level 35or above. This quest begins by meeting with Kash of Dion Castle Town. The Testimony of Fate may be undertaken by a player of level 37 or above. This quest begins by meeting with Magister Kaira of Giran Castle Town. Finally, the Test of the Duelist may be undertaken by a player of level 39 or above. This quest begins by meeting with Duelist Kaien of Oren Castle Town.
Return
Close Window